GET/cosmos/staking/v1beta1/validators/{validator_addr}/delegations/{delegator_addr}/unbonding_delegation

https://rest-babylon-mainnet.nodit.io/cosmos/staking/v1beta1/validators/string/delegations/string/unbonding_delegation

Retrieves unbonding delegation information for the given validator-delegator pair.

Path Parameters
validator_addrstringrequired

Validator address to query.

delegator_addrstringrequired

delegator_addr defines the delegator address to query for.

Responses
delegator_addressstring

delegator_address is the encoded address of the delegator.

validator_addressstring

Encoded address of the validator.

entriesobject[]

entries are the unbonding delegation entries.

creation_heightstring (int64)

creation_height is the height which the unbonding took place.

completion_timestring (date-time)

completion_time is the unix time for unbonding completion.

initial_balancestring

initial_balance defines the tokens initially scheduled to receive at completion.

balancestring

balance defines the tokens to receive at completion.

unbonding_idstring (uint64)

Incrementing ID that uniquely identifies this entry.

unbonding_on_hold_ref_countstring (int64)

Positive if the unbonding has been stopped by external modules.

X-API-KEY
RequestCU20
cURL
curl -X GET "https://rest-babylon-mainnet.nodit.io/cosmos/staking/v1beta1/validators/string/delegations/string/unbonding_delegation" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "unbond": {
    "delegator_address": "string",
    "validator_address": "string",
    "entries": [
      {
        "creation_height": "string",
        "completion_time": "string",
        "initial_balance": "string",
        "balance": "string",
        "unbonding_id": "string",
        "unbonding_on_hold_ref_count": "string"
      }
    ]
  }
}